#include <octave/oct.h>

#include "RTreeStyleC.h"
#include "generic.h"

#include <unistd.h>

RTreeStyleC::RTreeStyleC()
{
  error_with_id("RTree:BUG", "default constructor called");
}

RTreeStyleC::RTreeStyleC(postscript_style_t *style)
{
  this->style = style;
}

RTreeStyleC::~RTreeStyleC(void)
{
  postscript_style_destroy(this->style);
}

RTreeStyleC* RTreeStyleC::json_read(int fd)
{
  return generic_read<RTreeStyleC>(fd, "r", postscript_style_read);
}

RTreeStyleC* RTreeStyleC::from_json(std::string json)
{
  return from_generic<RTreeStyleC>(postscript_style_read, json);
}
