#include "RTreeStyleOct.h"

octave_value RTreeStyleOct::json_read(octave_value fd_ov)
{
  int fd = fd_ov.int_value();
  RTreeStyleOct *rto = new RTreeStyleOct(RTreeStyleC::json_read(fd));
  return octave_value(rto);
}

octave_value RTreeStyleOct::from_json(octave_value json_ov)
{
  std::string json = json_ov.string_value();
  RTreeStyleOct *rto = new RTreeStyleOct(RTreeStyleC::from_json(json));
  return octave_value(rto);
}

DEFINE_OV_TYPEID_FUNCTIONS_AND_DATA(RTreeStyleOct,
                                    "RTreeStyle wrapper",
                                    "RTreeStyleOct");
