// -*- c++ -*-

#ifndef RTREESTYLEOCT_H
#define RTREESTYLEOCT_H

#include <octave/oct.h>

#include "RTreeStyleC.h"

class RTreeStyleOct : public octave_base_value
{
  friend class RTreeOct;

public:

  // constructors

  RTreeStyleOct() : pRTreeStyleC(new RTreeStyleC()) {}
  RTreeStyleOct(RTreeStyleC *rtsc) : pRTreeStyleC(rtsc) {}
  ~RTreeStyleOct() {}

  // static (class) methods

  static octave_value json_read(octave_value);
  static octave_value from_json(octave_value);

  // instance methods

  bool is_defined(void) const { return true; }

private:

  std::shared_ptr<RTreeStyleC> pRTreeStyleC;

  DECLARE_OV_BASE_TYPEID_FUNCTIONS_AND_DATA
};

#endif
