#ifndef KEYWORDS_H
#define KEYWORDS_H

#include <cstdint>
#include <string>

constexpr std::uint64_t
  key_add_rect = 1,
  key_branching_factor = 2,
  key_branch_size = 3,
  key_bsrt_read = 4,
  key_bsrt_write = 5,
  key_bugreport = 6,
  key_clone = 7,
  key_constructor = 8,
  key_csv_read = 9,
  key_csv_write = 10,
  key_dim = 11,
  key_empty = 12,
  key_envelope = 13,
  key_from_bsrt = 14,
  key_from_json = 15,
  key_height = 16,
  key_identical = 17,
  key_json_write = 18,
  key_json_read = 19,
  key_name = 20,
  key_node_size = 21,
  key_page_size = 22,
  key_postscript = 23,
  key_rect_size = 24,
  key_search = 25,
  key_size = 26,
  key_to_bsrt = 27,
  key_to_csv = 28,
  key_to_json = 29,
  key_unit_sphere_volume = 30,
  key_update = 31,
  key_url = 32,
  key_version = 33;

std::uint64_t method_key(const std::string);

#endif
